# HelpTip

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (2.5.0.0)

* [Component](/api/v2.5/wisej.base/general/wisej.base.component.md)
  * [Component](/api/v2.5/wisej.web/general/wisej.web.component.md)
    * [HelpTip](/api/v2.5/wisej.web/extenders/wisej.web.helptip.md)

Represents a small rectangular pop-up window that displays a brief help text next to a control when it gets activated (focused).

{% tabs %}
{% tab title="C#" %}

```csharp
public class HelpTip : Component, IExtenderProvider
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class HelpTip
    Inherits Component
    Implements IExtenderProvider
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/-MTRl851gGvQXMvSEG1f)HelpTip()

Initializes a new instance of the [HelpTip](/api/v2.5/wisej.web/extenders/wisej.web.helptip.md) without a specified container.

### ![](/files/-MTRl851gGvQXMvSEG1f)HelpTip(container)

Initializes a new instance of the [HelpTip](/api/v2.5/wisej.web/extenders/wisej.web.helptip.md) class with a specified container.

| Name          | Type                                                                                       | Description                                                                                                                                                                                                |
| ------------- | ------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **container** | [IContainer](https://docs.microsoft.com/en-us/dotnet/api/system.componentmodel.icontainer) | An [IContainer](https://docs.microsoft.com/en-us/dotnet/api/system.componentmodel.icontainer) that represents the container of the [HelpTip](/api/v2.5/wisej.web/extenders/wisej.web.helptip.md) extender. |

## Properties

### ![](/files/-MTRl851gGvQXMvSEG1f)Active

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether the HelpTip provider is currently active.

### ![](/files/-MTRl851gGvQXMvSEG1f)Alignment

[Placement](/api/v2.5/wisej.web/enumerations/wisej.web.placement.md): Returns or sets the position of the HelpTip in relation to the target control.

### ![](/files/-MTRl851gGvQXMvSEG1f)AllowHtml

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets a value indicating that the control can display html in the Text property.

### ![](/files/-MTRl851gGvQXMvSEG1f)AutoPopDelay

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the period of time the HelpTip remains visible if the pointer is stationary on a control with specified HelpTip text.

### ![](/files/-MTRl851gGvQXMvSEG1f)BackColor

[Color](https://docs.microsoft.com/en-us/dotnet/api/system.drawing.color): Returns or sets the background color for the HelpTip.

### ![](/files/-MTRl851gGvQXMvSEG1f)ForeColor

[Color](https://docs.microsoft.com/en-us/dotnet/api/system.drawing.color): Returns or sets the foreground color for the HelpTip.

### ![](/files/-MTRl851gGvQXMvSEG1f)HelpTipIcon

[ToolTipIcon](/api/v2.5/wisej.web/extenders/wisej.web.tooltipicon.md): Returns or sets a value that defines the type of icon to be displayed alongside the HelpTip text.

### ![](/files/-MTRl851gGvQXMvSEG1f)InitialDelay

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the time that passes before the HelpTip appears.

### ![](/files/-MTRl851gGvQXMvSEG1f)Tag

[Object](https://docs.microsoft.com/en-us/dotnet/api/system.object): Returns or sets the object that contains programmer-supplied data associated with the [HelpTip](/api/v2.5/wisej.web/extenders/wisej.web.helptip.md).

## Methods

### ![](/files/-MTRl851gGvQXMvSEG1f)CanExtend(target)

Returns true if the HelpTip can offer an extender property to the specified target component.

| Parameter  | Type                                                                | Description                                       |
| ---------- | ------------------------------------------------------------------- | ------------------------------------------------- |
| **target** | [Object](https://docs.microsoft.com/en-us/dotnet/api/system.object) | The target object to add an extender property to. |

**Returns:** [Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean). true if the [HelpTip](/api/v2.5/wisej.web/extenders/wisej.web.helptip.md) class can offer one or more extender properties; otherwise, false.

### ![](/files/-MTRl851gGvQXMvSEG1f)Clear()

Removes all HelpTip text currently associated with the HelpTip component.

### ![](/files/-MTRl851gGvQXMvSEG1f)GetHelpTip(control)

Retrieves the HelpTip text associated with the specified control.

| Parameter   | Type                                              | Description                                                                                                                                         |
| ----------- | ------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| **control** | [Control](/api/v2.5/wisej.web/general/control.md) | The [Control](/api/v2.5/wisej.web/general/control.md) for which to retrieve the [HelpTip](/api/v2.5/wisej.web/extenders/wisej.web.helptip.md) text. |

**Returns:** [String](https://docs.microsoft.com/en-us/dotnet/api/system.string). A [String](https://docs.microsoft.com/en-us/dotnet/api/system.string) containing the HelpTip text for the specified control.

### ![](/files/-MTRl851gGvQXMvSEG1f)SetHelpTip(control, caption)

Associates HelpTip text with the specified control.

| Parameter   | Type                                                                | Description                                                                               |
| ----------- | ------------------------------------------------------------------- | ----------------------------------------------------------------------------------------- |
| **control** | [Control](/api/v2.5/wisej.web/general/control.md)                   | The [Control](/api/v2.5/wisej.web/general/control.md) to associate the HelpTip text with. |
| **caption** | [String](https://docs.microsoft.com/en-us/dotnet/api/system.string) | The HelpTip text to display when the pointer is on the control.                           |

## Implements

| Name                                                                                   | Description                                    |
| -------------------------------------------------------------------------------------- | ---------------------------------------------- |
| [IWisejComponent](/api/v2.5/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface. |
| [IWisejSerializable](/api/v2.5/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v2.5/wisej.web/extenders/wisej.web.helptip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
